%define modname sha256
%define dirname %{modname}
%define soname %{modname}.so
%define inifile 80_%{modname}.ini

Summary:	SHA256 Hashing Algorithms for PHP
Name:		php-%{modname}
Version:	1.0
Release:	%mkrel 5
Group:		Development/PHP
License:	PHP License
URL:		http://www.hardened-php.net/
Source0:	http://www.hardened-php.net/files/extensions/%{modname}-%{version}.tar.bz2
Source1:	%{modname}.ini.bz2
BuildRequires:	php-devel >= 5.0.4
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
SHA256 Hashing Algorithms for PHP.

%prep

%setup -q -n %{modname}-%{version}

%build

phpize
%configure2_5x \
    --enable-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

bzcat %{SOURCE1} > %{buildroot}%{_sysconfdir}/php.d/%{inifile}
install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc tests CREDITS
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}

%changelog
* Sun Aug 27 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0-5
- rebuilt for php-5.1.6

* Wed Jul 26 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0-4mdk
- rebuild

* Fri May 05 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0-3mdk
- rebuilt for php-5.1.4

* Fri May 05 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0-2mdk
- rebuilt for php-5.1.3

* Sat Feb 04 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0-1mdk
- initial Mandriva package
